Issue 85554 - Start code cleanup for UCS4 support in PDF export
Summary: Start code cleanup for UCS4 support in PDF export
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: 680m243
Hardware: All All
: P4 Trivial (vote)
Target Milestone: OOo 3.0
Assignee: hdu@apache.org
QA Contact: issues@gsl
URL:
Keywords:
Depends on:
Blocks: 49432
  Show dependency tree
 
Reported: 2008-01-24 12:28 UTC by hdu@apache.org
Modified: 2008-04-11 17:48 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2008-01-24 12:28:38 UTC
Way too much code in the PDF export path has hardcoded assumptions about unicode codepoints being 
limited to 16bit. Use generic types to make the switch to UCS4 easier.
Comment 1 hdu@apache.org 2008-01-24 12:29:30 UTC
While touching all the related code fixing const-correctness issues regarding classes used for font 
subsetting/embedding is a good idea.
Comment 2 hdu@apache.org 2008-01-24 16:39:59 UTC
Fixed in CWS pdffix02.

The unicode type hasn't been switched yet for embedding yet, though
- the font subsetting code needs to be extended to handle non-BMP codepoints
- the PDF exporter needs to be extended to emit non-BMP codepoints
these changes will trigger further changes for psprinting, xml emitting, etc. 
Comment 3 hdu@apache.org 2008-03-13 10:07:52 UTC
Started the cleanup, so that the new functionality in CWS pdffix02 didn't have to rely on obsolete interfaces => 
verified by developer
Comment 4 hdu@apache.org 2008-04-11 17:48:35 UTC
Got into DEV300_m6 => closing